## gnupoc-package-1.22.tar.gz

=== tools/bmconv-1.1.0-2/Makefile ===
#
# Makefile
#
VERSION=1.1.0
PROJECT=bmconv

all clean install uninstall:
	$(MAKE) $@ -sC src

tarball: clean
	debclean
	cd .. && tar -czvf $(PROJECT)-$(VERSION).tar.gz $(PROJECT)-$(VERSION) --exclude .svn

regtest:
	$(MAKE) all -sC src
	$(MAKE) clean -sC test
	$(MAKE) regtest -sC test

=== tools/elf2e32/Makefile ===
CXXFLAGS += -Wall -pedantic -ggdb -Wno-long-long -Ideflate/deflate -Ideflate/inc
LDFLAGS += -lelf -lz

all: elf2e32 bindiff gendirective getexports genstubs elftran

elf2e32: elf2e32.o crc.o epocversion.o caseinsensitive.o e32image.o elfutils.o reloc.o deflate/deflate.a
	$(CXX) -o $@ $+ $(LDFLAGS)

elftran: elftran.o crc.o epocversion.o caseinsensitive.o e32image.o elfutils.o reloc.o deflate/deflate.a
	$(CXX) -o $@ $+ $(LDFLAGS)

gendirective: gendirective.o
	$(CXX) -o $@ $+ $(LDFLAGS)

getexports: getexports.o
	$(CXX) -o $@ $+ $(LDFLAGS)

genstubs: genstubs.o crc.o deflate/deflate.a
	$(CXX) -o $@ $+ $(LDFLAGS)

decompress: decompress.o deflate/deflate.a
	$(CXX) -o $@ $+

compress: compress.o deflate/deflate.a
	$(CXX) -o $@ $+

checksum: checksum.o
	$(CXX) -o $@ $+ -lz

deflate/deflate.a:
	$(MAKE) -C deflate deflate.a

bindiff: bindiff.o
	$(CXX) -o $@ $+

clean:
	$(MAKE) -C deflate clean
	rm -f elf2e32 bindiff gendirective getexports genstubs elftran *.o

=== tools/makesis-2.0.0/Makefile ===
VERSION=2.0.0

all clean install uninstall:
	make $@ -C src

tarball: clean
	cd .. && tar -czvf makesis-$(VERSION).tar.gz makesis-$(VERSION) --exclude CVS	

regtest:
	make all -sC src
	make regtest -sC test

=== tools/makesis-4/Makefile ===
VERSION=2.0.0

all clean install uninstall:
	$(MAKE) $@ -C src

tarball: clean
	cd .. && tar -czvf makesis-$(VERSION).tar.gz makesis-$(VERSION) --exclude CVS	

regtest:
	$(MAKE) all -sC src
	$(MAKE) regtest -sC test

=== tools/petran-1.1.0/Makefile ===
#
# Makefile
#
VERSION=1.1.0
PROJECT=petran

all clean install uninstall:
	$(MAKE) $@ -C petran
	$(MAKE) $@ -C e32uid

tarball: clean
	cd .. && tar -czvf $(PROJECT)-$(VERSION).tar.gz $(PROJECT)-$(VERSION) --exclude .svn

regtest:
	$(MAKE) all -C petran
	$(MAKE) regtest -C test

=== tools/bmconv-1.1.0-2/test/Makefile ===
#
# Makefile
#

BMCONV=../src/bmconv
TEST_MBM=test1.mbm
REF_MBM=test1_ref.mbm
HEADER_REF=test1_ref.h
HEADER_GEN=test1.h
DECOMP_MBMS=\
	decomp_gen_48i.bmp decomp_gen_48m.bmp \
	decomp_gen_32i.bmp decomp_gen_32m.bmp \
	decomp_gen_24i.bmp decomp_gen_24m.bmp \
	decomp_gen_16i.bmp decomp_gen_16m.bmp

regtest: test_compile test_commandfile test_decomp

test_compile:
	$(BMCONV) /h$(HEADER_GEN) $(TEST_MBM) \
	/c12test1_48i.bmp /c12test1_48m.bmp \
	/c12test1_32i.bmp /c12test1_32m.bmp \
	/c12test1_24i.bmp /c12test1_24m.bmp \
	/c12test1_16i.bmp /c12test1_16m.bmp
	diff $(TEST_MBM) $(REF_MBM)
	diff $(HEADER_REF) $(HEADER_GEN)
	rm -f $(TEST_MBM)
	rm -f $(HEADER_GEN)

test_commandfile:	test1.lst
	$(BMCONV) test1.lst
	diff $(TEST_MBM) $(REF_MBM)
	rm -f $(TEST_MBM)

test_decomp:	$(REF_MBM)
	$(BMCONV) /u $(REF_MBM) $(DECOMP_MBMS)
	diff decomp_ref_48i.bmp decomp_gen_48i.bmp
	diff decomp_ref_48m.bmp decomp_gen_48m.bmp
	diff decomp_ref_32i.bmp decomp_gen_32i.bmp
	diff decomp_ref_32m.bmp decomp_gen_32m.bmp
	diff decomp_ref_24i.bmp decomp_gen_24i.bmp
	diff decomp_ref_24m.bmp decomp_gen_24m.bmp
	diff decomp_ref_16i.bmp decomp_gen_16i.bmp
	diff decomp_ref_16m.bmp decomp_gen_16m.bmp
	rm -f decomp_gen_???.bmp

check:
	od -vtx4 $(REF_MBM) > $(REF_MBM).od
	od -vtx4 $(TEST_MBM) > $(TEST_MBM).od
	diff $(REF_MBM).od $(TEST_MBM).od

check_decomp:
	od -vtx1 decomp_ref_48i.bmp > decomp_ref_48i.bmp.od
	od -vtx1 decomp_gen_48i.bmp > decomp_gen_48i.bmp.od
	diff decomp_ref_48i.bmp.od decomp_gen_48i.bmp.od

clean:
	rm -f *~ *.od $(TEST_MBM) $(DECOMP_MBMS) $(HEADER_GEN)

=== tools/elf2e32/deflate/Makefile ===
CXXFLAGS = -Iinc -ggdb

deflate.a: deflate/compress.o deflate/decode.o deflate/deflate.o deflate/encode.o deflate/inflate.o deflate/panic.o host/h_mem.o host/h_utl.o
	ar rcs $@ $+

clean:
	rm -f deflate.a deflate/*.o host/*.o

=== tools/elf2e32/libelf-elftoolchain/Makefile ===
# $Id$


all: libelf.a

LIB=	elf

SRCS=	elf.c							\
	elf_begin.c						\
	elf_cntl.c						\
	elf_end.c elf_errmsg.c elf_errno.c			\
	elf_data.c						\
	elf_fill.c						\
	elf_flag.c						\
	elf_getarhdr.c						\
	elf_getarsym.c						\
	elf_getbase.c						\
	elf_getident.c						\
	elf_hash.c						\
	elf_kind.c						\
	elf_memory.c						\
	elf_next.c						\
	elf_rand.c						\
	elf_rawfile.c						\
	elf_phnum.c						\
	elf_shnum.c						\
	elf_shstrndx.c						\
	elf_scn.c						\
	elf_strptr.c						\
	elf_update.c						\
	elf_version.c						\
	gelf_cap.c						\
	gelf_checksum.c						\
	gelf_dyn.c						\
	gelf_ehdr.c						\
	gelf_getclass.c						\
	gelf_fsize.c						\
	gelf_move.c						\
	gelf_phdr.c						\
	gelf_rel.c						\
	gelf_rela.c						\
	gelf_shdr.c						\
	gelf_sym.c						\
	gelf_syminfo.c						\
	gelf_symshndx.c						\
	gelf_xlate.c						\
	libelf_align.c						\
	libelf_allocate.c					\
	libelf_ar.c						\
	libelf_ar_util.c					\
	libelf_checksum.c					\
	libelf_data.c						\
	libelf_ehdr.c						\
	libelf_extended.c					\
	libelf_phdr.c						\
	libelf_shdr.c						\
	libelf_xlate.c						\
	$(GENSRCS)
INCS=	libelf.h gelf.h

GENSRCS=	libelf_fsize.c libelf_msize.c libelf_convert.c
CFLAGS+=	-I.

SHLIB_MAJOR=	1


MAN=	elf.3							\
	elf_begin.3						\
	elf_cntl.3						\
	elf_end.3						\
	elf_errmsg.3						\
	elf_fill.3						\
	elf_flagdata.3						\
	elf_getarhdr.3						\
	elf_getarsym.3						\
	elf_getbase.3						\
	elf_getdata.3						\
	elf_getident.3						\
	elf_getscn.3						\
	elf_getphdrnum.3					\
	elf_getphnum.3						\
	elf_getshdrnum.3					\
	elf_getshnum.3						\
	elf_getshdrstrndx.3					\
	elf_getshstrndx.3					\
	elf_hash.3						\
	elf_kind.3						\
	elf_memory.3						\
	elf_next.3						\
	elf_rawfile.3						\
	elf_rand.3						\
	elf_strptr.3						\
	elf_update.3						\
	elf_version.3						\
	gelf.3							\
	gelf_checksum.3						\
	gelf_fsize.3						\
	gelf_getcap.3						\
	gelf_getclass.3						\
	gelf_getdyn.3						\
	gelf_getehdr.3						\
	gelf_getmove.3						\
	gelf_getphdr.3						\
	gelf_getrel.3						\
	gelf_getrela.3						\
	gelf_getshdr.3						\
	gelf_getsym.3						\
	gelf_getsyminfo.3					\
	gelf_getsymshndx.3					\
	gelf_newehdr.3						\
	gelf_newphdr.3						\
	gelf_update_ehdr.3					\
	gelf_xlatetof.3

MLINKS+= \
	elf_errmsg.3 elf_errno.3		\
	elf_flagdata.3 elf_flagarhdr.3		\
	elf_flagdata.3 elf_flagehdr.3		\
	elf_flagdata.3 elf_flagelf.3		\
	elf_flagdata.3 elf_flagphdr.3		\
	elf_flagdata.3 elf_flagscn.3		\
	elf_flagdata.3 elf_flagshdr.3		\
	elf_getdata.3 elf_newdata.3		\
	elf_getdata.3 elf_rawdata.3		\
	elf_getscn.3 elf_ndxscn.3		\
	elf_getscn.3 elf_newscn.3		\
	elf_getscn.3 elf_nextscn.3		\
	elf_getshstrndx.3 elf_setshstrndx.3	\
	gelf_getcap.3 gelf_update_cap.3		\
	gelf_getdyn.3 gelf_update_dyn.3		\
	gelf_getmove.3 gelf_update_move.3	\
	gelf_getrel.3 gelf_update_rel.3		\
	gelf_getrela.3 gelf_update_rela.3	\
	gelf_getsym.3 gelf_update_sym.3		\
	gelf_getsyminfo.3 gelf_update_syminfo.3	\
	gelf_getsymshndx.3 gelf_update_symshndx.3 \
	gelf_update_ehdr.3 gelf_update_phdr.3	\
	gelf_update_ehdr.3 gelf_update_shdr.3	\
	gelf_xlatetof.3 gelf_xlatetom.3


%.c: %.m4
	m4 -D SRCDIR=$(shell pwd) $< > $@

libelf_convert.c:	elf_types.m4 libelf_convert.m4
libelf_fsize.c:		elf_types.m4 libelf_fsize.m4
libelf_msize.c:		elf_types.m4 libelf_msize.m4

OBJS=$(SRCS:.c=.o)

libelf.a: $(OBJS)
	ar rcs $@ $+

PREFIX=/usr/local

install: all
	mkdir -p $(PREFIX)/include
	cp libelf.h elfdefinitions.h $(PREFIX)/include
	mkdir -p $(PREFIX)/lib
	cp libelf.a $(PREFIX)/lib

clean:
	rm -f *.o libelf.a

distclean: clean
	rm -f $(GENSRCS)

=== tools/makesis-2.0.0/test/Makefile ===
regtest:
	../src/makesis test.pkg
	../src/makesis -da test2.pkg
	md5sum test*.{sis,SIS}
	md5sum -c md5sums

=== tools/makesis-4/src/Makefile ===
#
# Makefile
#

#GCC_VERSION=-2.95
CFLAGS+=-Wall -gstabs+
CFLAGS+=-I../include
#CFLAGS+=-D_UNICODE -DUNICODE
CFLAGS+=-DTEST -ggdb
LDFLAGS=
LIBS=-lz -lcrypto
OBJS=\
	crtsis.o \
	makesis.o \
	parsecmd.o \
	parsepkg.o \
	utf8.o \
	utils.o \
	stub.o \
	wcstub.o \
	signutils.o \
	sisfilegen.o \
	crc.o \
	sisfield.o

BIN=makesis signsis makekeys
DEVTOOLS=finddatetime dumpcontroller dumptree

all: $(BIN)

devtools: finddatetime dumpcontroller dumptree

makesis: $(OBJS) Makefile
	g++$(GCC_VERSION) $(LDFLAGS) $(OBJS) -o $@ $(LIBS)

signsis: signsis.o crc.o signutils.o sisfield.o
	g++$(GCC_VERSION) $(LDFLAGS) $+ -o $@ $(LIBS)

finddatetime: finddatetime.o sisfield.o
	g++$(GCC_VERSION) -o $@ $+ $(LDFLAGS) $(LIBS)

dumpcontroller: dumpcontroller.o sisfield.o
	g++$(GCC_VERSION) -o $@ $+ $(LDFLAGS) $(LIBS)

dumptree: dumptree.o sisfield.o
	g++$(GCC_VERSION) -o $@ $+ $(LDFLAGS) $(LIBS)

%.o: %.cpp crtsis.h makesis.h parsecmd.h parsepkg.h utf8.h utils.h \
	../include/windows.h ../include/tchar.h
	g++$(GCC_VERSION) $(CFLAGS) -c $< -o $@

%.o: %.c
	gcc$(GCC_VERSION) $(CFLAGS) -c $< -o $@

install: $(BIN)
	install -m 755 $(BIN) $(DESTDIR)/usr/bin

uninstall:
	rm -f $(DESTDIR)/usr/bin/$(BIN)

clean:
	rm -f *.o $(BIN) $(DEVTOOLS) core

=== tools/makesis-4/test/Makefile ===
regtest:
	../src/makesis -t7d7,7,18,11,20,35 test1.pkg
	../src/makesis -t7d7,7,18,11,21,0 test2.pkg
	../src/makesis -t7d7,7,18,12,1c,8 test3.pkg
	../src/makesis -t7d7,7,18,13,8,d test4.pkg
	../src/makesis -t7d7,7,18,13,30,10 test5.pkg
	../src/makesis -ddata -t7d7,7,18,13,30,20 test6.pkg
	../src/makesis -t7d7,7,18,13,36,26 test7.pkg
	../src/makesis -t7d7,7,18,13,36,2c test8.pkg
	../src/makesis -t7d7,7,18,15,2a,2e test9.pkg
	../src/makesis -t7d7,7,19,7,20,23 test10.pkg
	../src/makesis -t7d7,7,19,7,34,12 test11.pkg
	../src/makesis -t7d7,7,19,7,36,1e test12.pkg
	../src/makesis -t7d7,7,19,8,37,1c test13.pkg
	../src/makesis -t7d7,7,19,9,22,2f test14.pkg
	../src/makesis -t7d7,7,19,a,c,30 test15.pkg
	../src/makesis -t7d7,7,19,a,26,8 test16.pkg
	../src/makesis -t7d7,7,19,b,19,39 test17.pkg
	../src/makesis -t7d7,7,19,c,3a,2d test18.pkg
	../src/makesis -t7d7,7,19,c,3b,9 test19.pkg
	../src/signsis test1.sis test1.sisx selfsigned.cer selfsigned.key
	md5sum -c md5sums

=== tools/petran-1.1.0/petran/Makefile ===
#
# Makefile
#

# GCC_VERSION=-2.95
CFLAGS+=-Wall -gstabs+ -Wno-deprecated
CFLAGS+=-I../inc -I../deflate
LFLAGS=
DEPS=\
	../inc/pe_defs.h \
	../inc/e32def.h \
	../inc/e32image.h \
	../inc/e32rom.h \
	../inc/e32std.h \
	../inc/e32uid.h \
	../inc/pe_file.h \
	../inc/h_utl.h \
	../inc/h_ver.h

OBJS=\
	petran.o \
	../e32uid/e32uid.o \
	../host/h_utl.o \
	../host/h_file.o \
	../host/h_mem.o \
	../pefile/pe_img.o \
	../pefile/pe_imp.o \
	../pefile/pe_dump.o \
	../pefile/pe_utl.o \
	../pefile/pe_io.o \
	../pefile/pe_tran.o \
	../pefile/pe_reloc.o \
	../pefile/pe_file.o \
	../deflate/compress.o \
	../deflate/decode.o \
	../deflate/deflate.o \
	../deflate/encode.o \
	../deflate/inflate.o \
	../deflate/panic.o

BIN=petran

all: $(BIN)

$(BIN): $(OBJS) Makefile
	g++$(GCC_VERSION) $(LFLAGS) $(OBJS) -o $@ $(LIBS)

%.o: %.cpp $(DEPS)
	g++$(GCC_VERSION) $(CFLAGS) -c $< -o $@

%.o: %.c
	gcc$(GCC_VERSION) $(CFLAGS) -c $< -o $@

install: $(BIN)
	install -m 755 $(BIN) $(DESTDIR)/usr/bin

uninstall:
	rm -f $(DESTDIR)/usr/bin/$(BIN)

clean:
	rm -f $(OBJS) $(BIN) core ../*/*~ ../*/*.o

=== tools/rcomp-7.0.1/debian/changelog ===
rcomp (7.0.1-1) unstable; urgency=low

  * Initial Release.

 -- Alfred E. Heggestad <alfredh@symbianos.org>  Sat, 27 Dec 2003 19:57:22 +0100

=== tools/bmconv-1.1.0-2/debian/control ===
Source: bmconv
Section: utils
Priority: optional
Maintainer: Alfred E. Heggestad <alfredh@symbianos.org>
Build-Depends: debhelper (>> 4.0.0), g++, libstdc++-dev
Standards-Version: 3.5.8

Package: bmconv
Architecture: any
Depends: ${shlibs:Depends} ${misc:Depends}
Description: Symbian OS multiple bitmap file/rom store conversion program.
 Program to convert to and from .bmp and Symbian OS .mbm files
 .
 Copyright (c) 1998-2001 Symbian Ltd.  All rights reserved.
 .
 Ported to Linux by Alfred E. Heggestad <alfredh@symbianos.org>
 .
 See http://symbianos.org/ for details.
 .

=== tools/makesis-2.0.0/debian/control ===
Source: makesis
Section: utils
Priority: optional
Maintainer: Alfred E. Heggestad <alfredh@symbianos.org>
Build-Depends: debhelper (>> 4.0.0), zlib1g-dev, g++, libstdc++-dev
Standards-Version: 3.5.8

Package: makesis
Architecture: any
Depends: ${shlibs:Depends} ${misc:Depends}
Description: A utility for creating SymbianOS Installation (SIS) files
 MakeSIS, version 2.0
 A utility for creating Software Installation (SIS) files.
 Copyright (c) 2000 Symbian Ltd. All rights reserved.
 .
 Ported to linux by various people at DebCamp.
 .
 Generated files are Unicode only and is compatible with all
 SymbianOS SDKs from version 6.0 and later.

=== tools/rcomp-7.0.1/debian/control ===
Source: rcomp
Section: utils
Priority: optional
Maintainer: Alfred E. Heggestad <alfredh@symbianos.org>
Build-Depends: debhelper (>> 4.0.0), g++, libstdc++-dev
Standards-Version: 3.5.8

Package: rcomp
Architecture: any
Depends: ${shlibs:Depends} ${misc:Depends}
Description: Symbian OS resource compiler.
 .
 Symbian OS resource compiler version 7.01
 Create .rsc binary files and .rsg header files from .rss source resource files.
 .
 NOTE! The generated output is AFAIK only compatible with Symbian OS 7.x
       which contains a 16-byte UID header (invoked with the external
       program uidcrc) and compressed Unicode characters.
       For Nokia 9210 and Nokia Series 60 platform SDKs you will need
       rcomp v6.00 which is as of today only available as win32 binaries.
 .
 Copyright (c) 1997-2001 Symbian Ltd.
 .
 Ported to Linux by Alfred E. Heggestad <alfredh@symbianos.org>
 .
 See http://symbianos.org/ for details.
 .

=== tools/makesis-2.0.0/debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1




CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)
	#/usr/bin/docbook-to-man debian/makesis.sgml > makesis.1

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/makesis.
	$(MAKE) install DESTDIR=$(CURDIR)/debian/makesis


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_installmanpages
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_python
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
